Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Web Funnel Schema

GET/api/v1/web-funnels/schema
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Responses
200Successful Response
successboolean
default: true
dataWebFunnelSchema | any
Show properties
Any of:
WebFunnelSchema
dimensionsDimensionDef[]required
Show properties
Array of DimensionDef
keystringrequired
labelstringrequired
filterablebooleanrequired
searchablebooleanrequired
metricsMetricDef[]required
Show properties
Array of MetricDef
keystringrequired
labelstringrequired
unitstringrequired
filter_optionsobjectrequired
sort_directionsSortDirectionDef[]required
Show properties
Array of SortDirectionDef
valuestringrequired
Allowed:ascdesc
labelstringrequired
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
Request
curl -X GET "/api/v1/web-funnels/schema" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "success": true,
  "data": {
    "dimensions": [
      {
        "key": "string",
        "label": "string",
        "filterable": true,
        "searchable": true
      }
    ],
    "metrics": [
      {
        "key": "string",
        "label": "string",
        "unit": "string"
      }
    ],
    "filter_options": {
      "property1": [
        "string"
      ],
      "property2": [
        "string"
      ]
    },
    "sort_directions": [
      {
        "value": "asc",
        "label": "string"
      }
    ]
  },
  "message": "string",
  "errors": [
    "string"
  ]
}